Get client
curl --request GET \
--url https://api.conduit.financial/clients/{id} \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://api.conduit.financial/clients/{id}"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://api.conduit.financial/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"businessLegalName": "<string>",
"businessTradeName": "<string>",
"industry": "<string>",
"identifications": [
{
"id": "123e4567-e89b-12d3-a456-426614174001",
"identificationType": "TIN",
"identificationNumber": "12-3456789"
}
],
"registeredDate": "<string>",
"registeredAddress": {
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"operatingAddress": {
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"paymentMethods": [
{
"id": "bank_1234",
"type": "bank",
"rail": [
"fedwire"
],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"status": "enabled",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"entity": {
"id": "cp_1234567890123456789012345",
"name": "Mark Davis",
"entityType": "individual",
"complianceEntityType": "counterparty"
}
}
],
"id": "client_2ofTA13AD0xBtbEvBl20aEb1hEu",
"email": "jsmith@example.com",
"phone": "<string>",
"entityType": "Bank",
"website": "<string>",
"documents": [
{
"documentId": "doc_2ofTA13AD0xBtbEvBl20aEb1hEu",
"documentName": "Contract",
"documentPurpose": "transaction_justification",
"documentType": "contract",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"tags": [
"<string>"
],
"isFinancialInstitution": true,
"controlPersons": [
{
"id": "ctl_2ofTA13AD0xBtbEvBl20aEb1hEu",
"firstName": "John",
"lastName": "Doe",
"middleName": "Michael",
"email": "john.doe@example.com",
"birthDate": "2000-01-01",
"address": {
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"nationality": "USA",
"gender": "male",
"phone": "+1234567890",
"title": "CEO",
"isEntity": false,
"immigrationStatus": "citizen",
"numberType": "ssn",
"taxResidencyCountry": "USA",
"regulatoryAffiliations": [
{
"regulatoryAffiliation": "FINRA"
}
],
"sharesAllocated": 2000,
"ownershipPercentage": 100,
"referenceId": "ref_123",
"roles": [
{
"name": "beneficial_owner",
"startDate": "2021-01-01",
"endDate": "2025-01-01",
"current": true
}
],
"identityInfo": {
"documentCountry": "USA",
"documentType": "passport",
"documentNumber": "1234567890",
"documentIssueDate": "2021-01-01",
"documentExpiryDate": "2025-01-01"
},
"documents": [
{
"documentId": "doc_2ofTA13AD0xBtbEvBl20aEb1hEu",
"documentName": "Passport",
"documentPurpose": "kyc",
"documentType": "passport",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z"
}
]
}
],
"eddFormId": "<string>"
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Clients
Get client
Get an existing Client (subsidiary) by ID
GET
/
clients
/
{id}
Get client
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Client ID
Pattern:
^client_[a-zA-Z0-9]{27}$Example:
"client_2ofTA13AD0xBtbEvBl20aEb1hEu"
Response
The retrieved client
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum array length:
1Show child attributes
Show child attributes
Minimum string length:
1Address information
Show child attributes
Show child attributes
Example:
{
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
}
Address information
Show child attributes
Show child attributes
Example:
{
"streetLine1": "123 Main St",
"streetLine2": "Suite 100",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
}
- Bank Payment Method Response
- Option 2
Show child attributes
Show child attributes
Example:
{
"id": "bank_1234",
"type": "bank",
"rail": ["fedwire"],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"status": "enabled",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"entity": {
"id": "cp_1234567890123456789012345",
"name": "Mark Davis",
"entityType": "individual",
"complianceEntityType": "counterparty"
}
}
A valid Client ID
Pattern:
^client_[a-zA-Z0-9]{27}$Example:
"client_2ofTA13AD0xBtbEvBl20aEb1hEu"
The type of entity
Available options:
Bank, Insurance Company, Securities Broker or Dealer, Investment Company or other Passive Investment Vehicle, Trust Company, Hedge Fund, Other Example:
"Bank"
Show child attributes
Show child attributes
Available options:
active, in_compliance_review, compliance_rejected, created, kyb_in_progress, kyb_expired, kyb_missing_information, account_onboarding_pending, failed_to_create Show child attributes
Show child attributes
⌘I

